// This file was generated by gir (https://github.com/gtk-rs/gir)
// from gir-files (https://github.com/gtk-rs/gir-files)
// from gst-gir-files (https://gitlab.freedesktop.org/gstreamer/gir-files-rs.git)
// DO NOT EDIT

glib::wrapper! {
    #[derive(Debug, PartialEq, Eq, PartialOrd, Ord, Hash)]
    pub struct WebRTCSessionDescription(Boxed<ffi::GstWebRTCSessionDescription>);

    match fn {
        copy => |ptr| ffi::gst_webrtc_session_description_copy(ptr),
        free => |ptr| ffi::gst_webrtc_session_description_free(ptr),
        get_type => || ffi::gst_webrtc_session_description_get_type(),
    }
}

unsafe impl Send for WebRTCSessionDescription {}
unsafe impl Sync for WebRTCSessionDescription {}
